ChromeOS 对战 Linux : 孰优孰劣，仁者见仁，智者见智
================================================================================
> 在 ChromeOS 和 Linux 的斗争过程中，两个桌面环境都有强有弱，这两者到底怎样呢？

只要稍加留意，任何人都会相信，Google 在桌面领域绝不是“玩玩而已”。在近几年，我们见到的 [ChromeOS][1] 制造的 [Google Chromebook][2] 相当的轰动。和同期人气火爆的 Amazon 一样，ChromeOS 似乎势不可挡。

在本文中，我们要了解的是 ChromeOS 的概念市场，ChromeOS 怎么影响着Linux 的份额，整个 ChromeOS 对于Linux 社区来说，是好事还是坏事。另外，我将会谈到一些重大问题，以及为什么没人针对这些问题做点什么。

### ChromeOS 并非真正的Linux ###

每当有朋友问我说 ChromeOS 是否是 Linux 的一个发行版时，我都会这样回答：ChromeOS 之于 Linux 就如同 OS X 之于 BSD。换句话说，我认为，ChromeOS 是 Linux 的一个派生操作系统，运行于 Linux 内核的引擎之下。而这个操作系统的大部分由 Google 的专利代码及软件组成。

尽管 ChromeOS 是利用了 Linux 的内核引擎，但是和现在流行的 Linux 分支版本相比，它仍然有很大的不同。

其实，ChromeOS 的差异化越来越明显的原因，是在于它给终端用户提供的包括 Web 应用在内的 app。因为ChromeOS 的每一个操作都是开始于浏览器窗口，这对于 Linux 用户来说，可能会有很多不一样的感受，但是，对于没有 Linux 经验的用户来说，这与他们使用的旧电脑并没有什么不同。

比方说，每一个以“依赖 Google 产品”为生活方式的人来说，在 ChromeOS 上的感觉将会非常良好，就好像是回家一样，特别是这个人已经接受了 Chrome 浏览器、Google Drive 云存储和Gmail 的话。久而久之，他们使用ChromeOS 也就是很自然的事情了，因为他们很容易接受使用早已习惯的 Chrome 浏览器。

然而，对于 Linux 爱好者来说，这样的约束就立即带来了不适应。因为软件的选择是被限制、被禁锢的，再加上要想玩游戏和 VoIP 是完全不可能的。对不起，因为 [GooglePlus Hangouts][3] 是代替不了VoIP 软件的。甚至这种情况将持续很长一段时间。

### ChromeOS 还是 Linux 桌面 ###

有人断言，ChromeOS 要是想在桌面系统的浪潮中对 Linux 产生影响，只有在 Linux 停下来浮出水面喘气的时候，或者是满足某个非技术用户的时候。

是的，桌面 Linux 对于大多数休闲型的用户来说绝对是一个好东西。然而，它必须有专人帮助你安装操作系统，并且提供“维修”服务，就如同我们在 Windows 和 OS X 阵营看到的一样。但是，令人失望的是，在美国， Linux 恰恰在这个方面很缺乏。所以，我们看到，ChromeOS 正慢慢的走入我们的视线。

我发现 Linux 桌面系统最适合那些能够提供在线技术支持的环境中。比如说：可以在家里操作和处理更新的高级用户、政府和学校的 IT 部门等等。这些环境中，Linux 桌面系统可以被配置给任何技能水平和背景的人使用。

相比之下，ChromeOS 是建立在完全免维护的初衷之下的，因此，不需要第三者的帮忙，你只需要允许更新，然后让他静默完成即可。这在一定程度上可能是由于 ChromeOS 是为某些特定的硬件结构设计的，这与苹果开发自己的PC 电脑也有异曲同工之妙。因为 Google 的 ChromeOS 伴随着其硬件一起提供，大部分情况下都无需担心错误的驱动、适配什么的问题。对于某些人来说，这太好了。

然而有些人则认为这是一个很严重的问题，不过滑稽的是，对 ChomeOS 来说，这些人压根就不在它的目标市场里。简言之，这只是一些狂热的 Linux 爱好者在对 ChomeOS 鸡蛋里挑骨头罢了。要我说，还是停止这些没必要的批评吧。

问题的关键在于：ChromeOS 的市场份额和 Linux 桌面系统在很长的一段时间内是不同的。这个局面可能会在将来被打破，然而在现在，仍然会是两军对峙的局面。

### ChromeOS 的使用率正在增长 ###

不管你对ChromeOS 有怎么样的看法，事实是，ChromeOS 的使用率正在增长。专门针对 ChromeOS 的电脑也一直有发布。最近，戴尔（Dell）也发布了一款针对 ChromeOS 的电脑。命名为 [Dell Chromebox][5]，这款 ChromeOS  设备将会是对传统设备的又一次冲击。它没有软件光驱，没有反病毒软件，能够提供无缝的幕后自动更新。对于一般的用户，Chromebox 和 Chromebook 正逐渐成为那些工作在 Web 浏览器上的人们的一个可靠选择。

尽管增长速度很快，ChromeOS 设备仍然面临着一个很严峻的问题 - 存储。受限于有限的硬盘大小和严重依赖于云存储，ChromeOS 对于那些需要使用基本的浏览器功能之外的人们来说还不够用。

### ChromeOS 和 Linux 的异同点 ###

以前，我注意到 ChromeOS 和 Linux 桌面系统分别占有着两个完全不同的市场。出现这样的情况是源于 Linux 社区在线下的桌面支持上一直都有着极其糟糕的表现。

是的，偶然的，有些人可能会第一时间发现这个“Linux特点”。但是，并没有一个人接着跟进这些问题，确保得到问题的答案，以让他们得到 Linux 方面更多的帮助。

事实上，线下问题的出现可能是这样的：

- 有些用户偶然的在当地的 Linux 活动中发现了 Linux。      
- 他们带回了 DVD/USB 设备，并尝试安装这个操作系统。 
- 当然，有些人很幸运的成功完成了安装过程，但是，据我所知大多数的人并没有那么幸运。 
- 令人失望的是，这些人只能寄希望于在网上论坛里搜索帮助。他们很难通过主流的计算机网络经验或视频教程解决这些问题。
-于是这些人受够了。后来有很多失望的用户拿着他们的电脑到 Windows 商店来“维修”。除了重装一个 Windows 操作系统，他们很多时候都会听到一句话，“Linux 并不适合你们”，应该尽量避免。

有些人肯定会说，上面的举例肯定夸大其词了。让我来告诉你：这是发生在我身边的真事，而且是经常发生。醒醒吧，Linux 社区的人们，我们的推广模式早已过期无力了。

### 伟大的平台，糟糕的营销和最终结论 ###

如果非要找一个 ChromeOS 和 Linux 桌面系统的共同点，除了它们都使用了 Linux 内核，那就是它们都是伟大的产品却拥有极其差劲的市场营销。对此，Google 认为自己的优势是，它能投入大量的资金在网上构建大面积存储空间。

Google 相信他们拥有“网上的优势”，而线下的问题不是很重要。这真是一个让人难以置信的目光短浅，这也成了Google 最严重的失误之一。而当地的 Linux 零售商则坚信，对于不怎么上网的人，自然不必担心他们会受到 Google巨大的在线存储的诱惑。

我的建议是：Linux 可以通过线下的努力，提供桌面系统，渗透 ChromeOS 市场。这就意味着 Linux 社区需要在节假日筹集资金来出席博览会、商场展览，并且在社区中进行免费的教学课程。这会立即使 Linux 桌面系统走入人们的视线，否则，最终将会是一个 ChromeOS 设备出现在人们的面前。

如果说本地的线下市场并没有像我说的这样，别担心。Linux 桌面系统的市场仍然会像 ChromeOS 一样增长。最坏也能保持现在这种两军对峙的市场局面。

--------------------------------------------------------------------------------

via: http://www.datamation.com/open-source/chromeos-vs-linux-the-good-the-bad-and-the-ugly-1.html

作者：[Matt Hartley][a]
译者：[barney-ro](https://github.com/barney-ro)
校对：[Mr小眼儿](https://github.com/tinyeyeser)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://www.datamation.com/author/Matt-Hartley-3080.html
[1]:http://en.wikipedia.org/wiki/Chrome_OS
[2]:http://www.google.com/chrome/devices/features/
[3]:https://plus.google.com/hangouts
[4]:http://en.wikipedia.org/wiki/Voice_over_IP
[5]:http://www.pcworld.com/article/2602845/dell-brings-googles-chrome-os-to-desktops.html
