FreeBSD 和 Linux 有什么不同？
================================================================================

![](https://1102047360.rsc.cdn77.org/wp-content/uploads/2015/03/FreeBSD-790x494.jpg)

### 简介 ###

BSD最初从UNIX继承而来，目前，有许多的类Unix操作系统是基于BSD的。FreeBSD是使用最广泛的开源的伯克利软件发行版（即 BSD 发行版）。就像它隐含的意思一样，它是一个自由开源的类Unix操作系统，并且是公共服务器平台。FreeBSD源代码通常以宽松的BSD许可证发布。它与Linux有很多相似的地方，但我们得承认它们在很多方面仍有不同。

本文的其余部分组织如下：FreeBSD的描述在第一部分，FreeBSD和Linux的相似点在第二部分，它们的区别将在第三部分讨论，对他们功能的讨论和总结在最后一节。

### FreeBSD描述 ###

#### 历史 ####

- FreeBSD的第一个版本发布于1993年，它的第一张CD-ROM是FreeBSD1.0，发行于1993年12月。接下来，FreeBSD 2.1.0在1995年发布，并且获得了所有用户的青睐。实际上许多IT公司都使用FreeBSD并且很满意，我们可以列出其中的一些：IBM、Nokia、NetApp和Juniper Network。

#### 许可证 ####

- 关于它的许可证，FreeBSD以多种开源许可证进行发布，它的名为Kernel的最新代码以两句版BSD许可证进行了发布，给予使用和重新发布FreeBSD的绝对自由。其它的代码则以三句版或四句版BSD许可证进行发布，有些是以GPL和CDDL的许可证发布的。

（LCTT 译注：BSD 许可证与 GPL 许可证相比，相当简短，最初只有四句规则；1999年应 RMS 请求，删除了第三句，新的许可证称作“新 BSD”或三句版BSD；原来的 BSD 许可证称作“旧 BSD”、“修订的 BSD”或四句版BSD；也有一种删除了第三、第四两句的版本，称之为两句版 BSD，等价于 MIT 许可证。）

#### 用户 ####

- FreeBSD的重要特点之一就是它的用户多样性。实际上，FreeBSD可以作为邮件服务器、Web 服务器、FTP 服务器以及路由器等，您只需要在它上运行服务相关的软件即可。而且FreeBSD还支持ARM、PowerPC、MIPS、x86、x86-64架构。

### FreeBSD和Linux的相似处 ###

FreeBSD和Linux是两个自由开源的软件。实际上，它们的用户可以很容易的检查并修改源代码，用户拥有绝对的自由。而且，FreeBSD和Linux都是类Unix系统，它们的内核、内部组件、库程序都使用从历史上的AT&T Unix继承来的算法。FreeBSD从根基上更像Unix系统，而Linux是作为自由的类Unix系统发布的。许多工具应用都可以在FreeBSD和Linux中找到，实际上，他们几乎有同样的功能。

此外，FreeBSD能够运行大量的Linux应用。它可以安装一个Linux的兼容层，这个兼容层可以在编译FreeBSD时加入AAC Compact Linux得到，或通过下载已编译了Linux兼容层的FreeBSD系统，其中会包括兼容程序：aac_linux.ko。不同于FreeBSD的是，Linux无法运行FreeBSD的软件。

最后，我们注意到虽然二者有同样的目标，但二者还是有一些不同之处，我们在下一节中列出。

### FreeBSD和Linux的区别 ###

目前对于大多数用户来说并没有一个选择FreeBSD还是Linux的明确的准则。因为他们有着很多同样的应用程序，因为他们都被称作类Unix系统。

在这一章，我们将列出这两种系统的一些重要的不同之处。

#### 许可证 ####

- 两个系统的区别首先在于它们的许可证。Linux以GPL许可证发行，它为用户提供阅读、发行和修改源代码的自由，GPL许可证帮助用户避免仅仅发行二进制。而FreeBSD以BSD许可证发布，BSD许可证比GPL更宽容，因为其衍生著作不需要仍以该许可证发布。这意味着任何用户能够使用、发布、修改代码，并且不需要维持之前的许可证。
- 您可以依据您的需求，在两种许可证中选择一种。首先是BSD许可证，由于其特殊的条款，它更受用户青睐。实际上，这个许可证使用户在保证源代码的封闭性的同时，可以售卖以该许可证发布的软件。再说说GPL，它需要每个使用以该许可证发布的软件的用户多加注意。
- 如果想在以不同许可证发布的两种软件中做出选择，您需要了解他们各自的许可证，以及他们开发中的方法论，从而能了解他们特性的区别，来选择更适合自己需求的。

#### 控制 ####

- 由于FreeBSD和Linux是以不同的许可证发布的，Linus Torvalds控制着Linux的内核，而FreeBSD却与Linux不同，它并未被控制。我个人更倾向于使用FreeBSD而不是Linux，这是因为FreeBSD才是绝对自由的软件，没有任何控制许可证的存在。Linux和FreeBSD还有其他的不同之处，我建议您先不急着做出选择，等读完本文后再做出您的选择。

#### 操作系统 ####

- Linux主要指内核系统，这与FreeBSD不同，FreeBSD的整个系统都被维护着。FreeBSD的内核和一组由FreeBSD团队开发的软件被作为一个整体进行维护。实际上，FreeBSD开发人员能够远程且高效的管理核心操作系统。
- 而Linux方面，在管理系统方面有一些困难。由于不同的组件由不同的源维护，Linux开发者需要将它们汇集起来，才能达到同样的功能。
- FreeBSD和Linux都给了用户大量的可选软件和发行版，但他们管理的方式不同。FreeBSD是统一的管理方式，而Linux需要被分别维护。

#### 硬件支持 ####

- 说到硬件支持，Linux比FreeBSD做的更好。但这不意味着FreeBSD没有像Linux那样支持硬件的能力。他们只是在管理的方式不同，这通常还依赖于您的需求。因此，如果您在寻找最新的解决方案，FreeBSD更适应您；但如果您在寻找更多的普适性，那最好使用Linux。

#### 原生FreeBSD Vs 原生Linux ####

- 两者的原生系统的区别又有不同。就像我之前说的，Linux是一个Unix的替代系统，由Linux Torvalds编写，并由网络上的许多极客一起协助实现的。Linux有一个现代系统所需要的全部功能，诸如虚拟内存、共享库、动态加载、优秀的内存管理等。它以GPL许可证发布。
- FreeBSD也继承了Unix的许多重要的特性。FreeBSD作为在加州大学开发的BSD的一种发行版。开发BSD的最重要的原因是用一个开源的系统来替代AT&T操作系统，从而给用户无需AT&T许可证便可使用的能力。
- 许可证的问题是开发者们最关心的问题。他们试图提供一个最大化克隆Unix的开源系统。这影响了用户的选择，由于FreeBSD使用BSD许可证进行发布，因而相比Linux更加自由。

#### 支持的软件包 ####

- 从用户的角度来看，另一个二者不同的地方便是软件包以及从源码安装的软件的可用性和支持。Linux只提供了预编译的二进制包，这与FreeBSD不同，它不但提供预编译的包，而且还提供从源码编译和安装的构建系统。使用它的 ports 工具，FreeBSD给了您选择使用预编译的软件包（默认）和在编译时定制您软件的能力。（LCTT 译注：此处说明有误。Linux 也提供了源代码方式的包，并支持自己构建。）
- 这些 ports 允许您构建所有支持FreeBSD的软件。而且，它们的管理还是层次化的，您可以在/usr/ports下找到源文件的地址以及一些正确使用FreeBSD的文档。
- 这些提到的 ports给予你产生不同软件包版本的可能性。FreeBSD给了您通过源代码构建以及预编译的两种软件，而不是像Linux一样只有预编译的软件包。您可以使用两种安装方式管理您的系统。

#### FreeBSD 和 Linux 常用工具比较 ####

- 有大量的常用工具在FreeBSD上可用，并且有趣的是他们由FreeBSD的团队所拥有。相反的，Linux工具来自GNU，这就是为什么在使用中有一些限制。（LCTT 译注：这也是 Linux 正式的名称被称作“GNU/Linux”的原因，因为本质上 Linux 其实只是指内核。）
- 实际上FreeBSD采用的BSD许可证非常有益且有用。因此，您有能力维护核心操作系统，控制这些应用程序的开发。有一些工具类似于它们的祖先 - BSD和Unix的工具，但不同于GNU的套件，GNU套件只想做到最小的向后兼容。

#### 标准 Shell ####

- FreeBSD默认使用tcsh。它是csh的评估版，由于FreeBSD以BSD许可证发行，因此不建议您在其中使用GNU的组件 bash shell。bash和tcsh的区别仅仅在于tcsh的脚本功能。实际上，我们更推荐在FreeBSD中使用sh shell，因为它更加可靠，可以避免一些使用tcsh和csh时出现的脚本问题。

#### 一个更加层次化的文件系统 ####

- 像之前提到的一样，使用FreeBSD时，基础操作系统以及可选组件可以被很容易的区别开来。这导致了一些管理它们的标准。在Linux下，/bin，/sbin，/usr/bin或者/usr/sbin都是存放可执行文件的目录。FreeBSD不同，它有一些附加的对其进行组织的规范。基础操作系统被放在/usr/local/bin或者/usr/local/sbin目录下。这种方法可以帮助管理和区分基础操作系统和可选组件。

### 结论 ###

FreeBSD和Linux都是自由且开源的系统，他们有相似点也有不同点。上面列出的内容并不能说哪个系统比另一个更好。实际上，FreeBSD和Linux都有自己的特点和技术规格，这使它们与别的系统区别开来。那么，您有什么看法呢？您已经有在使用它们中的某个系统了么？如果答案为是的话，请给我们您的反馈；如果答案是否的话，在读完我们的描述后，您怎么看？请在留言处发表您的观点。

--------------------------------------------------------------------------------

via: http://www.unixmen.com/comparative-introduction-freebsd-linux-users/

作者：[anismaj][a]
译者：[wwy-hust](https://github.com/wwy-hust)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:https://www.unixmen.com/author/anis/