Linux 系统管理员 2017 年的 10 个新决心
============================================================

当我们告别 2016 时，也到时间定下我们的 **新年决心** 了。不管你身为 Linux 系统管理员的经验水平如何，我们认为，制定接下来 12 个月的成长目标是很值得的。

如果你还没什么想法，我们将会在这篇文章分享 10 个简单的专业提升决心，你可以为 2017 年考虑一下。

### 1、 决定更自动化

你没必要忙得像头无头苍蝇，每天忙于解决可预见的问题。如果你发现自己每天都花费时间在执行重复的任务，你有必要现在就停下来。

在了解了所有[基于 Linux 而且开源的工具][4]后，你可以尽可能地[自动化你的 Linux 任务][5]来给自己一些休闲的时间。

你会发现，接下来的几个决心会帮你在工作上朝着这个目标前进。所以继续看下去吧。

另外，帮自己一个忙，花费几分钟来浏览我们[免费的电子书][6]部分吧。

你将有机会下载与[Bash shell 脚本编程][7]相关的书籍来提升你的技能。开心地自动化！

### 2、 学习一门新的脚本语言

虽然每一个系统管理员应该熟练地使用 Bash 写脚本，但考虑一下其它更现代化、健壮性更强的工具也是很重要的，例如 Python。

不要只是相信我们说的话 —— 看看不久前我们发布的[两篇关于 Python 的系列文章][9]。你将会意识到，与其它语言相比，Python 带来了面向对象编程的力量，使您写出更短、健壮性更强的脚本。

### 3、 学习一门新的编程语言

除了学习一门新的脚本语言，（你也可以）决定花费点时间来开始学习或者提升你的编程技能。不确定从何处开始？今年的 [Stackoverflow 开发者调查][10]表明 Javascript 连续第三年引领最流行语言的榜单。

其他经典例如 Java 和 C 也值得考虑。来看我们 [2016 年最好的编程课程][11]。

### 4、 注册一个 Github 账户并且定期更新

特别是如果你是一个编程新手，你应该考虑一下在 Github 上展示你的成果。通过允许别人去复刻你的脚本或者程序，你就能提高知识水平，并通过别人的帮助创造出更复杂的软件。

在[《如何安装和注册 Github 帐号》][12]一文中了解更多。

### 5、 向一个开源项目做贡献

在 Github 上向一个开源项目做贡献，这是另一个学习或者提高一门新脚本语言或者编程语言能力的好办法。

如果这吸引到了你的兴趣，点击 [Explore Github][13] 页面。这里你能按热度或者编程语言浏览仓库，你能在这里面找到一些有趣的事情来做。

在此基础上，你将因回馈社区而获得满足感。

### 6、 每月尝试一个新的发行版

经常会有新的发行版或者分支出现，你有不同的选项以供选择。谁知道你梦想中的发行版是否就在近前，而你还没发现它？每个月去一次 **Distrowatch** 然后选择一个新的发行版。

也别忘了[订阅 Techmint][14] 来获取新发行版的消息。

如果你想要尝试一个新的发行版，希望我们的评论能帮你做出决定。也可以点击我们这里关于最好的 Linux 发行版的文章：

- [2016年最好的 5 个注重安全的 Linux 发行版][1]
- [2016年最值得期待的 Linux 发行版][2]
- [2015年最流行的 10个 Linux 发行版][3]

### 7、 参加一个 Linux 或者开源会议。

如果你住在由 Linux 基金会赞助的会议举办地附近，我强烈建议你去参加会议。

这不仅将会给你一个提高 Linux 知识的机会，而且将是个见见其他开源专家的机会。

### 8、 从 Linux 基金会的免费或付费课程中学习

Linux 基金会分别通过 **edX.org** 和他们自己的门户，不断地提供免费或付费课程。

免费课程的话题包括（但不仅限于）Linux 介绍、云基础设施技术介绍和 OpenStack 介绍。

另一方面，付费课程包括 [LFCS 认证][16] 和 [LFCE 认证][17] 考试的准备，给开发者的 Linux ，内核内部构件，Linux 安全，性能试验，高可用性及其他。

另外，他们对企业课程有折扣，所以尝试去说服你上司来为你和你同事的训练付费。还有，也会提供周期性的免费在线研讨会，所以别忘了订阅他们的 newsletters！

你也可以考虑下看看我们最棒的[在线 Linux 训练课程][18]。

### 9、 每周在 Linux 论坛上回答特定数量的问题

另一个回馈社区的好方法是帮助那些刚开始使用 Linux 的人。你将会发现网上的 Linux 论坛上有许多人正在寻找着答复。

牢记你曾经也是像他们那样是个新手，试着换位思考。

### 10、 教一个孩子或少年使用 Linux 

如果我能回到 20 年前，我希望我能有台电脑，有个能[在青年时学习 Linux ][19]的机会。

我也希望我能比当年还早很多地开始编程。毫无疑问，这样事情就会简单许多。我认为给孩子和青年教授至少是基础的 Linux 和编程技巧（我对我的孩子这样做）是个重要的尝试。

教育成长中的一代如何有效地使用开源技术将会给他们选择的自由，而他们会因此永远感激你。

##### 总结

在这篇文章里我们分享了 10 个适合系统管理员的可能新年决心。[Tecmint.com][20] 祝你在朝着目标的工作顺顺利利，希望你能在 2017 年成为我们网站的常客。

如果你有关于这篇文章的问题或者评论，请不要犹豫使用下面的表格提交。我们期待着收到您的信息。

--------------------------------------------------------------------------------


作者简介：

![](http://1.gravatar.com/avatar/d9d14c5b51331864398e6288cb0c2091?s=128&d=blank&r=g)

Gabriel Cánepa 是个  GNU/Linux 系统管理员和网页开发者，他来自阿根廷圣路易斯的 Villa Mercedes 。他供职于全球领先的消费品公司，享受在日常工作的方方面面使用 FOSS（自由及开源软件） 工具来提高生产效率。

--------------------------------------------------------------------------------

via: http://www.tecmint.com/linux-system-administrators-new-years-resolutions-ideas/

作者：[Gabriel Cánepa][a]
译者：[ypingcn](https://github.com/ypingcn)
校对：[jasminepeng](https://github.com/jasminepeng)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: http://www.tecmint.com/author/gacanepa/
[1]: http://www.tecmint.com/best-security-centric-linux-distributions-of-2016/
[2]: http://www.tecmint.com/top-linux-distributions-to-look-forward-in-2016/
[3]: http://www.tecmint.com/10-top-most-popular-linux-distributions-of-2015/
[4]: http://www.tecmint.com/category/top-tools/
[5]: http://www.tecmint.com/using-shell-script-to-automate-linux-system-maintenance-tasks/
[6]: http://tecmint.tradepub.com/category/information-technology-servers-and-linux-server-os/806/
[7]: http://tecmint.tradepub.com/free/w_syst05/?p=w_syst05
[8]: http://www.tecmint.com/category/python/
[9]: https://linux.cn/article-7693-1.html
[10]: http://stackoverflow.com/research/developer-survey-2016#technology
[11]: https://deals.tecmint.com/collections/best-of-bundles-2016
[12]: http://www.tecmint.com/install-git-centos-fedora-redhat/
[13]: https://help.github.com/articles/where-can-i-find-open-source-projects-to-work-on/
[14]: http://subscribe.tecmint.com/newsletter
[15]: http://events.linuxfoundation.org/
[16]: http://www.tecmint.com/sed-command-to-create-edit-and-manipulate-files-in-linux/
[17]: http://www.tecmint.com/installing-network-services-and-configuring-services-at-system-boot/
[18]: http://www.tecmint.com/linux-online-training-courses/
[19]: http://www.tecmint.com/free-online-linux-learning-guide-for-beginners/
[20]: http://tecmint.com/
