六大标志性的开源形象概览
=====================

 ![六大标志性的开源形象概览](https://opensource.com/sites/default/files/styles/image-full-size/public/images/business/BUSINESS_brandbalance.png?itok=opwotgEh "A look at 6 iconic open source brands")

品牌是营销的重要组成部分。完成了品牌的塑造并形成一定的影响力之后，一个简单的 Logo （比如说耐克旋风一样） 就会成为这个品牌的强大广告。如果你常常在美国各州之间穿梭，你将会看各种描述品牌的标志符号，如麦当劳的金色拱门（golden arches）。即便是没有任何文字或图像的简单色彩组合也是可以用来作为一个品牌的，比如美国弗吉尼亚理工大学的栗色和橙色，这种独特的色彩结合是很难被认错的。

所以，现在的问题是：品牌对于开源社区是否真的那么重要呢？

对于我和其他很多的人来说，是的，非常重要。开源软件要与付费软件进行竞争，那么它必须要将自己定义为切实可行的替代品。并且，它也必须要让人容易记住以及形成一定程度的影响力。如果某个开源软件项目以一种设计难看的 Logo、糟糕的口号、前后矛盾的信息来表现自己的话，那它就很难引起大众的注意、难以记住和得到广泛使用。

现有很多项目这方面做得很好，我们可以从中寻找灵感和指导方法。以下是我最喜欢的六个开源品牌。

### 六大开源品牌


#### Linux

![Linux&#039;s Tux 吉祥物](https://opensource.com/sites/default/files/resize/linux-300x354.png "Linux&amp;#039;s Tux mascot")

这个可爱的 Linux 企鹅叫做 Tux，人们通常将其称为吉祥物，而非 Logo。

Tux 是 Larry Ewing 在 1996 年使用 GIMP 0.54 创建出来的。按 Jeff Ayers 讲述的[故事][4]：自从 Linus Torvalds  1993 年在澳大利亚的某个动物园被一只企鹅咬了一口之后，他就特别的钟爱它们。Torvalds 当时正在为 Linux 寻找一个有趣的形象，他觉得一个饱食后正在休息的胖企鹅是一个不错的选择。Tux 同时也出现在视频游戏和麦片广告中，它甚至还有一个叫做 Gown 的异性同伴。正如 Mac 用户熟知那个被咬了一口的苹果、Windows 用户熟知那个飘动的窗口那样，作为 Linux 用户，你肯定也非常熟悉 Tux。

#### Mozilla

 ![Mozilla 2017 的新 Logo ](https://opensource.com/sites/default/files/resize/mozilla_1-650x185.png "Mozilla new logo 2017")

[Mozilla][5] 基金会是一个非营利组织和 [自由软件社区][6]。

近期，它完成了[品牌重建行动][7]，其创意团队负责人 Tim Murray 这样写道：“该项目的核心就是应让人们更好地理解 Mozilla 自身的目的和商标的需求而生。我们的品牌标识，包括 Logo、口号及其设计，是我们用以传递我们自身的信仰和所做的工作的重要信号。”

以真正的开源方式，Mozilla 邀请所有的人来为项目贡献自己的力量。“数千个电子邮件、数百场会议、几十种理念，以及之后的三轮讨究，我们把自己的想法都分享了出来。”但是，他们仍然遵循指导方针进行，还需要你参与到贡献中来。

#### Firefox

![Firefox logo](https://opensource.com/sites/default/files/firefox_0.png "Firefox logo")

[Firefox][8] 是 Mozilla 开发的一款旗舰级软件产品，是一个非常受欢迎的 [web 浏览器][9]。

Firefox 中的 "fox" 实际上是一只红色的熊猫，这是一种中国本土的像猫一样的真实动物。故事是这样的：Firefox 原本有个 "Phoenix" 的别称，表明它是由 Netscape 浏览器发展而来的。但在经历了 Phoenix 科技的商标起诉之后，它更名为 Mozilla Firebird。然后，Firebird RDMS 项目说它给其自己项目带来了歧义，其名称最终在 2004 年 02 月变更为 Mozilla Firefox。

平面设计师 Steve Garrity 对 Firefox 和 Phoenix 早期的 Logo 作出了批评，在“[品牌化 Mozilla：走向 Mozilla 2.0][10] ”一文中详细阐述了各种缺陷。所以，Mozilla 邀请 Garrity 来领导更好的品牌化工作。新的形象是由 silverorange 开发出来的，但最终的渲染却是 Jon Hicks 完成的，他同时也为 Camino、MailChimp 和 Opera 进行过品牌化工作。

早在 2013 年，[Jeopardy!][11] 上边关于询问 Firefox 使用哪个动物做 Logo 的帖子则成了最后的线索。三位回答者都不知道答案就是一个红色熊猫，而是回答了 “su”、 “raccoon” 和 “Excel”。

#### GIMP

![Wilber the Gimp logo](https://opensource.com/sites/default/files/resize/gimp-300x300.png "Wilber the Gimp logo")

GIMP 的 Logo 是由 Tuomas Kuosmanen 在 1997 年 09 月 25 日创建的 [Wilber the GIMP][12]。

GIMP 是 GNU 图像处理程序（GNU Image Manipulation Program）的缩写，主要用于相片修整和图像处理。Wilber 现在已经有了一些配饰，比如 Simon Budig 设计的一顶安全帽、Raphaël Quintet 设计的巫师帽。根据 GIMP 的“[链接到我们][13]” 页面，它高度鼓励人们使用 Wilber，你甚至可以在源代码中的 `/docs/Wilber_Construction_Kit.xcf.gz` 获得 Wilber 的构建素材。

那么，Wilber 到底是那一种生物呢？很显然，这是一个值得热烈讨论的问题。在 [gimper.net][14] 上的一个论坛众说纷纭：一种产于北美大草原的小狼（coyote）、熊猫、狗，或者“高飞”（Goofy）的一种衍生形象，仅举几例。而 [GimpChat.com][15] 上一位叫做 TheWarrior 的用户直接发邮件给 Wilber 的创造者 Kuosmanen，被告知说 “Wilber 是一种独立物种的动物 —— 就叫 ‘GIMP’。什么是 GIMP，这是个玩笑，因为人们一直在问，说它是一只狗、狐狸或者其他什么的就太没意思了。我设计的这一个形象的时候，在我脑袋中并没有特定哪种动物原型。”

#### PostgreSQL

![PostgreSQL logo](https://opensource.com/sites/default/files/postgresql.png "PostgreSQL logo")

正如你所见和熟悉的一样，使用动物头像来做 Logo 非常普遍。

一只名为 [Slonik][16] 的大象就是 [PostgreSQL][17] 的 Logo 的一部分，这是一个开源的关系型数据库管理系统 （RDMS）。Patrycja Dybka 在 Vertabelo 上写过博文，解释了这一名称是由俄语单词的大象（slony）演化而来的。Oleg Bartunov 也说过，这个 Logo 是在一个[邮件讨论][18]中初步形成的。在讨论里，在费城圣约瑟夫大学的 David Yang 建议使用大象：“……但如果你想要一个动物头像的 Logo，那么使用某种大象如何？ 毕竟就像阿加莎·克里斯蒂（侦探小说家 Agatha Christie）说的那样，_大象让人印象深刻_。”

#### VLC 媒体播放器

![VLC logo](https://opensource.com/sites/default/files/resize/vlc-300x340.png "VLC logo")

该 Logo 不再是动物主题了，而是交通锥筒。

VLC 是一款无处不在的媒体播放器，它神奇地出现在很多人的桌面电脑上，让很多人体验到了开源，即使不知道它是开源的。VLC 是由总部在法国的 VideoLAN 组织所支持的 VideoLAN 项目的一款产品。VideoLAN 源自 1996 年在法国中央理工大学的一个学生项目。根据维基百科的描述，这个交通锥标图标参考了由法国中央理工大学的网络学生协会收集自巴黎街道上的交通锥筒。最初的手绘 Logo 在 2006 年由 Richard Oistad 重新进行了渲染。

一些有趣的花絮：

* Seamus Islwyn 的帖子 “[VLC 中的交通锥表达了哪些含义？][1]” 告诉我们：在十二月的时候，VLC 锥筒会戴着一顶圣诞帽，但在 12 月 31 日它就会消失不见，恢复原样的锥筒。
* 有人说，VLC 的意思是 “非常大的锥筒（Very Large Cone）” 或者选用它仅仅是为了和法国那些交通锥筒相关联而已。
* “官方” 的故事背景是否准确？在 VLC 的 jean-baptiste Kempf 和用户在 [VideoLAN 论坛][2] 上的交流似乎表明，交通锥筒收集说法以及漏斗、建筑区、扩音器和其他一些说法，可能是不正确的。

我们是否完全解答了 VLC 的交通锥筒起源的问题了呢？我个人觉得：那就是 “星期六夜现场” 的尖头外星人。他们就是来自法国的，记得吗？确切地说是来自 Remulak 星球。

**我很期待看到你关于自己喜欢、讨厌以及为它所代表的品牌而倍感激动的那些开源 Logo 的评论。**

（题图：opensource.com）

------------

作者简介：

Jeff Macharyas - 他有多年的出版和印刷工作经验，他曾担任过快速印刷、美国观察家、USO 巡逻、今天校园和其他出版物的艺术总监以及项目经理、编辑和发行经理。杰夫持有佛罗里达州立大学的通信信息、罗格斯大学的社会媒体营销研究生证书以及 Utica 学院的网络安全与计算机取证硕士学位。

------------

译者简介：

[GHLandy](http://ghlandy.com) —— 另一种生活中，有属于你也适合你的舞台。或许有你狠心放弃的专业，或者不必上妆，不用摆出另外一副面孔。—— 摘自林特特《以自己喜欢的方式过一生》

------

via: https://opensource.com/article/17/2/six-open-source-brands

作者：[Jeff Macharyas][a]
译者：[GHLandy](https://github.com/GHLandy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/jeffmacharyas
[1]:http://www.ehow.com/info_10029162_traffic-cone-mean-vlc.html
[2]:https://forum.videolan.org/viewtopic.php?f=5&t=92513
[3]:https://opensource.com/article/17/2/six-open-source-brands?rate=Lmf1lD4etve4Apqfhw3NUV3SeENsNXhGqTh8OO4PzzQ
[4]:https://en.wikipedia.org/wiki/Tux
[5]:https://www.mozilla.org/en-US/
[6]:https://en.wikipedia.org/wiki/Mozilla
[7]:https://blog.mozilla.org/opendesign/arrival/
[8]:https://en.wikipedia.org/wiki/Firefox
[9]:https://en.wikipedia.org/wiki/Web_browser
[10]:http://actsofvolition.com/steven/mozillabranding/
[11]:http://www.complex.com/pop-culture/2013/09/firefox-jeopardy-answer
[12]:https://www.gimp.org/about/ancient_history.html
[13]:https://www.gimp.org/about/linking.html
[14]:https://gimper.net/threads/what-is-wilber.793/
[15]:http://gimpchat.com/viewtopic.php?f=4&t=10265
[16]:http://www.vertabelo.com/blog/notes-from-the-lab/the-history-of-slonik-the-postgresql-elephant-logo
[17]:https://wiki.postgresql.org/wiki/Logo
[18]:http://www.pgsql.ru/db/mw/msg.html?mid=1238939
[19]:https://opensource.com/user/83821/feed
[20]:https://opensource.com/article/17/2/six-open-source-brands#comments
[21]:https://opensource.com/users/jeffmacharyas
