OpenVAS：Kali Linux 中的漏洞评估工具
============================================================

本教程将介绍在 Kali Linux 中安装 OpenVAS 8.0 的过程。 OpenVAS 是一个可以自动执行网络安全审核和漏洞评估的开源[漏洞评估][6]程序。请注意，漏洞评估（Vulnerability Assessment）也称为 VA 并不是渗透测试（penetration test），渗透测试会进一步验证是否存在发现的漏洞，请参阅[什么是渗透测试][7]来对渗透测试的构成以及不同类型的安全测试有一个了解。

### 什么是 Kali Linux?

Kali Linux 是 Linux 渗透测试分发版。它基于 Debian，并且预安装了许多常用的渗透测试工具，例如 Metasploit Framework （MSF）和其他通常在安全评估期间由渗透测试人员使用的命令行工具。

在大多数使用情况下，Kali 运行在虚拟机中，你可以在这里获取最新的 VMWare 或 Vbox 镜像：[https://www.offensive-security.com/kali-linux-vmware-virtualbox-image-download/][8] 。

除非你有特殊的原因想要一个更小的虚拟机占用空间，否则请下载完整版本而不是 Kali light。 下载完成后，你需要解压文件并打开 vbox 或者 VMWare .vmx 文件，虚拟机启动后，默认帐号是 `root`/`toor`。请将 root 密码更改为安全的密码。

或者，你可以下载 ISO 版本，并在裸机上执行 Kali 的安装。

### 升级 Kali Linux

完成安装后，为 Kail Linux 执行一次完整的升级。

升级 Kali：

```
apt-get update && apt-get dist-upgrade -y
```

[
 ![Updating Kali Linux](https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/kali-apt-get-update-dist-upgrade.png) 
][9]

更新过程可能需要一些时间才能完成。Kali 目前是滚动更新，这意味着你可以从任何版本的 Kali 滚动更新到当前版本。然而它仍有发布号，但这些是针对特定 Kali 时间点版本的 VMWare 快照。你可以从任何 VMWare 镜像更新到当前的稳定版本。

更新完成后重新启动。

### 安装 OpenVAS 8

[
 ![Installing OpenVAS 8](https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/kali-install-openvas-vulnerability-assessment.png) 
][10]

```
apt-get install openvas

openvas-setup
```

在安装中，你会被询问关于 redis 的问题，选择默认选项来以 UNIX 套接字运行。

[
 ![Configure OpenVAS Scanner](https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/openvas-vulnerability-scanner-enable-redis.png) 
][11]

即使是有快速的网络连接，openvas-setup 仍需要很长时间来下载和更新所有所需的 CVE、SCAP 定义。

[
 ![Update all the required CVE, SCAP definitions](https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/openvas-vulnerability-scanner-install-2.png) 
][12]

请注意 openvas-setup 的命令输出，密码会在安装过程中生成，并在安装的最后在控制台中打印出来。

[
 ![Command output during install](https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/openvas-vulnerability-scanner-install-complete.png) 
][13]

验证 openvas 正在运行:

```
netstat -tulpn
```

[
 ![Check OpenVAS Status](https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/openvas-running-netstat.png) 
][14]

### 在 Kali 中运行 OpenVAS

要在 Kali 中启动 OpenVAS：

```
openvas-start
```

安装后，你应该可以通过 `https://127.0.0.1:9392` 访问 OpenVAS 的 web 程序了。

[
 ![OpenVAS started](https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/openvas-self-signed-certificate.png) 
][5]

接受自签名证书，并使用 openvas-setup 输出的 admin 凭证和密码登录程序。

[
 ![Accept the self-signed SSL cert](https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/accept-openvas-self-signed-certificate.png) 
][15]

接受自签名证书后，你应该可以看到登录界面了。

[
 ![OpenVAS Login](https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/openvas-login-screen.png) 
][16]

登录后，你应该可以看到下面的页面：

[
 ![OpenVAS Dashboard](https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/openvas-menu.png) 
][17]

从此，你应该可以使用向导配置自己的漏洞扫描了。

我建议阅读文档。请注意漏洞评估导向（取决于 OpenVAS 可能尝试利用的配置）及其在网络上生成的流量以及网络上可能对服务/服务器和主机/设备产生的 DOS 影响。

--------------------------------------------------------------------------------

via: https://www.howtoforge.com/tutorial/openvas-vulnerability-assessment-install-on-kali-linux/

作者：[KJS][a]
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://www.howtoforge.com/tutorial/openvas-vulnerability-assessment-install-on-kali-linux/
[1]:https://www.howtoforge.com/tutorial/openvas-vulnerability-assessment-install-on-kali-linux/#what-is-kali-linux
[2]:https://www.howtoforge.com/tutorial/openvas-vulnerability-assessment-install-on-kali-linux/#updating-kali-linux
[3]:https://www.howtoforge.com/tutorial/openvas-vulnerability-assessment-install-on-kali-linux/#installing-openvas-
[4]:https://www.howtoforge.com/tutorial/openvas-vulnerability-assessment-install-on-kali-linux/#start-openvas-on-kali
[5]:https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/big/openvas-self-signed-certificate.png
[6]:https://www.aptive.co.uk/vulnerability-assessment/
[7]:https://www.aptive.co.uk/penetration-testing/
[8]:https://www.offensive-security.com/kali-linux-vmware-virtualbox-image-download/
[9]:https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/big/kali-apt-get-update-dist-upgrade.png
[10]:https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/big/kali-install-openvas-vulnerability-assessment.png
[11]:https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/big/openvas-vulnerability-scanner-enable-redis.png
[12]:https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/big/openvas-vulnerability-scanner-install-2.png
[13]:https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/big/openvas-vulnerability-scanner-install-complete.png
[14]:https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/big/openvas-running-netstat.png
[15]:https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/big/accept-openvas-self-signed-certificate.png
[16]:https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/big/openvas-login-screen.png
[17]:https://www.howtoforge.com/images/openvas_vulnerability_assessment_install_on_kali_linux/big/openvas-menu.png
